## net.i2p.router.networkdb.kademlia
Class DataRepublishingSelectorJob

    java.lang.Object
      net.i2p.router.JobImpl
          net.i2p.router.networkdb.kademlia.DataRepublishingSelectorJob

All Implemented Interfaces:
  Job

     class DataRepublishingSelectorJob

extends JobImpl

Field Summary
`static int` `MAX_PASSIVE_POOL_SIZE`
`static long` `RESEND_BUCKET_FACTOR` For every bucket away from us, resend period increases by 5 minutes - so we resend our own key every 5 minutes, and keys very far from us every 2.5 hours, increasing linearly

Constructor Summary
`DataRepublishingSelectorJob(RouterContext ctx, KademliaNetworkDatabaseFacade facade)`

Method Summary
`java.lang.String` `getName()` Descriptive name of the task
`void` `runJob()` Actually perform the task.

Methods inherited from class net.i2p.router.JobImpl
`dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MAX_PASSIVE_POOL_SIZE

    public static final int MAX_PASSIVE_POOL_SIZE

See Also:
  Constant Field Values

### RESEND_BUCKET_FACTOR

    public static final long RESEND_BUCKET_FACTOR

  For every bucket away from us, resend period increases by 5 minutes - so we resend our own key every 5 minutes, and keys very far from us every 2.5 hours, increasing linearly

  See Also:
    Constant Field Values

Constructor Detail

### DataRepublishingSelectorJob

    public DataRepublishingSelectorJob(RouterContext ctx,
                                       KademliaNetworkDatabaseFacade facade)

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `Job`
  Descriptive name of the task

### runJob

    public void runJob()

  Description copied from interface: `Job`
  Actually perform the task. This call blocks until the Job is complete.